Bug 599004 - [abrt] crash in tracker-0.8.4-1.fc13: window_grouping_info: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
[abrt] crash in tracker-0.8.4-1.fc13: window_grouping_info: Process /usr/libe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Otte
Fedora Extras Quality Assurance
abrt_hash:e2a563fe02bb874e9d17c446b2c...
: Reopened
: 605324 608433 610487 614829 615830 627514 629227 629937 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 10:06 EDT by Alfredo Pons Menargues
Modified: 2011-06-27 13:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:20:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (48.32 KB, text/plain)
2010-06-02 10:06 EDT, Alfredo Pons Menargues
no flags Details
File produces Segfault (6.95 KB, image/vnd.microsoft.icon)
2010-07-19 06:36 EDT, Alfredo Pons Menargues
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 620364 None None None Never

  None (edit)
Description Alfredo Pons Menargues 2010-06-02 10:06:11 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/tracker-extract
component: tracker
crash_function: window_grouping_info
executable: /usr/libexec/tracker-extract
global_uuid: e2a563fe02bb874e9d17c446b2c56febc6312d15
kernel: 2.6.33.5-112.fc13.i686
package: tracker-0.8.4-1.fc13
rating: 4
reason: Process /usr/libexec/tracker-extract was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Alfredo Pons Menargues 2010-06-02 10:06:21 EDT
Created attachment 419042 [details]
File: backtrace
Comment 2 Deji Akingunola 2010-06-17 09:43:43 EDT
Backtrace indicates the crash occured in one of gstreamer plugins.
Comment 3 Deji Akingunola 2010-06-17 16:18:33 EDT
*** Bug 605324 has been marked as a duplicate of this bug. ***
Comment 4 Deji Akingunola 2010-07-02 10:27:00 EDT
*** Bug 610487 has been marked as a duplicate of this bug. ***
Comment 5 Benjamin Otte 2010-07-16 13:03:49 EDT
*** Bug 614829 has been marked as a duplicate of this bug. ***
Comment 6 Benjamin Otte 2010-07-16 13:04:43 EDT
This looks like a bug in the FAAD decoder to me. And both FAAD and the
GStreamer FAAD plugin aren't provided by GStreamer. I suggest opening a bug
either at RPMFusion or upstream.
Comment 7 Benjamin Otte 2010-07-16 13:08:14 EDT
*** Bug 608433 has been marked as a duplicate of this bug. ***
Comment 8 Alfredo Pons Menargues 2010-07-19 06:32:18 EDT
I submit the 'lupa.ico' file. This file produces SEGFAULT.

[apons@atlantis ~]$ /usr/libexec/tracker-extract -f /tmp/lupa.ico 
Initializing tracker-extract...
Initializing Storage...
Mount monitors set up for to watch for added, removed and pre-unmounts...
No mounts found to iterate
Setting process priority
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-ps.so' with:
  Specific match for mime:'application/x-gzpostscript'
  Specific match for mime:'application/postscript'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-pdf.so' with:
  Specific match for mime:'application/pdf'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-xmp.so' with:
  Specific match for mime:'application/rdf+xml'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-html.so' with:
  Specific match for mime:'text/html'
  Specific match for mime:'application/xhtml+xml'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-abw.so' with:
  Specific match for mime:'application/x-abiword'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-oasis.so' with:
  Generic  match for mime:'application/vnd.oasis.opendocument.*'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-tiff.so' with:
  Specific match for mime:'image/tiff'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-msoffice.so' with:
  Specific match for mime:'application/msword'
  Specific match for mime:'application/vnd.ms-powerpoint'
  Specific match for mime:'application/vnd.ms-excel'
  Generic  match for mime:'application/vnd.ms-*'
  Specific match for mime:'application/vnd.openxmlformats-officedocument.presentationml.presentation'
  Specific match for mime:'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'
  Specific match for mime:'application/vnd.openxmlformats-officedocument.wordprocessingml.document'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-gstreamer.so' with:
  Generic  match for mime:'audio/*'
  Generic  match for mime:'video/*'
  Generic  match for mime:'image/*'
  Specific match for mime:'video/3gpp'
  Specific match for mime:'video/mp4'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-png.so' with:
  Specific match for mime:'image/png'
  Specific match for mime:'sketch/png'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-text.so' with:
  Generic  match for mime:'text/*'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-jpeg.so' with:
  Specific match for mime:'image/jpeg'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-mp3.so' with:
  Specific match for mime:'audio/mpeg'
  Specific match for mime:'audio/x-mp3'
Adding extractor:'/usr/lib/tracker-0.8/extract-modules/libextract-playlist.so' with:
  Specific match for mime:'audio/x-mpegurl'
  Specific match for mime:'audio/mpegurl'
  Specific match for mime:'audio/x-scpls'
  Specific match for mime:'audio/x-pn-realaudio'
  Specific match for mime:'application/ram'
  Specific match for mime:'application/vnd.ms-wpl'
  Specific match for mime:'application/smil'
  Specific match for mime:'audio/x-ms-asx'
<--- [1] tracker_extract_get_metadata_by_cmdline(uri:'file:///tmp/lupa.ico', mime:(null))
---- [1]   Guessing mime type as 'image/vnd.microsoft.icon' for uri:'file:///tmp/lupa.ico'
---- [1]   Extracting with module:'/usr/lib/tracker-0.8/extract-modules/libextract-gstreamer.so'
Violación de segmento (`core' generado)
Comment 9 Alfredo Pons Menargues 2010-07-19 06:33:17 EDT
Reopen de bug because I found a file to reproduce the bug: 'lupa.ico'
Comment 10 Alfredo Pons Menargues 2010-07-19 06:36:42 EDT
Created attachment 432821 [details]
File produces Segfault
Comment 11 Deji Akingunola 2010-07-19 10:15:01 EDT
*** Bug 615830 has been marked as a duplicate of this bug. ***
Comment 12 Deji Akingunola 2010-08-26 09:47:59 EDT
*** Bug 627514 has been marked as a duplicate of this bug. ***
Comment 13 Deji Akingunola 2010-09-01 09:40:45 EDT
*** Bug 629227 has been marked as a duplicate of this bug. ***
Comment 14 Deji Akingunola 2010-09-03 10:42:43 EDT
*** Bug 629937 has been marked as a duplicate of this bug. ***
Comment 15 Bug Zapper 2011-06-02 08:21:08 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 13:20:45 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.